<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
	elementFormDefault="qualified"
	targetNamespace="http://tizen.org/ns/packages"
	xmlns:packages="http://tizen.org/ns/packages">
	<xs:element name="manifest">
		<xs:complexType>
			<xs:choice maxOccurs="unbounded">
				<xs:element ref="packages:allowed-package" />
				<xs:element ref="packages:dependencies" />
			</xs:choice>
			<xs:attribute name="package" use="required" type="xs:string" />
			<xs:attribute name="version" use="required" type="xs:string" />
			<xs:attribute name="res-type" type="xs:string" />
			<xs:attribute name="res-version" type="xs:string" />
			<xs:attribute name="api-version" use="required" type="xs:NMTOKEN" />
		</xs:complexType>
	</xs:element>
	<xs:element name="allowed-package">
		<xs:complexType>
			<xs:choice maxOccurs="unbounded" minOccurs="0">
				<xs:element ref="packages:required-privileges" />
			</xs:choice>
			<xs:attribute name="id" type="xs:string" />
		</xs:complexType>
	</xs:element>
	<xs:element name="required-privileges">
		<xs:complexType>
			<xs:choice maxOccurs="unbounded" minOccurs="1">
				<xs:element name="privilege" />
			</xs:choice>
		</xs:complexType>
	</xs:element>
	<xs:element name="dependencies">
		<xs:complexType>
			<xs:choice maxOccurs="unbounded" minOccurs="1">
				<xs:element ref="packages:dependency" />
			</xs:choice>
		</xs:complexType>
	</xs:element>
	<xs:element name="dependency">
		<xs:complexType mixed="true">
			<xs:attribute name="type" use="required"
				type="xs:string" />
			<xs:anyAttribute namespace="##any"
				processContents="lax" />
		</xs:complexType>
	</xs:element>
</xs:schema>